#include <iostream>

using namespace std;

int main()
{
    int n;
    cin>>n;
    pair<int,int> tacka;
    int suma=0;
    for(int i=0;i<n;i++){
        cin>>tacka.first>>tacka.second;

      suma+=max(tacka.first,tacka.second);

    }
    cout<<suma/2 -1;
    return 0;
}